#pragma once

#include "gamestate.h"
#include "Level.h"



class CGSEdit : public CGameState
{

  public:

    Level                   m_Level;

    bool                    m_NameMode;

    LD12::TileTypes         m_CurTile;

    int                     m_CurLevel;

    bool                    m_ButtonReleased;


    CGSEdit();
    virtual ~CGSEdit();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );

    virtual void            OnMouse( int iX, int iY, int iButtons );

    virtual void            OnMouseWheel( int Delta );

};
